import request from '@/utils/request'

// 查询biz列表
export function listDevice(query) {
  return request({
    url: '/biz/device/list',
    method: 'get',
    params: query
  })
}

// 查询biz详细
export function getDevice(id) {
  return request({
    url: '/biz/device/' + id,
    method: 'get'
  })
}

// 新增biz
export function addDevice(data) {
  return request({
    url: '/biz/device',
    method: 'post',
    data: data
  })
}

// 修改biz
export function updateDevice(data) {
  return request({
    url: '/biz/device',
    method: 'put',
    data: data
  })
}

// 删除biz
export function delDevice(id) {
  return request({
    url: '/biz/device/' + id,
    method: 'delete'
  })
}
